class Infragistics.UltraChart.Resources.Appearance.PaintElement
   inherits Infragistics.UltraChart.Resources.Appearance.AppearanceHelper
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property TextureApplication as Infragistics.UltraChart.Shared.Styles.TextureApplicationStyle
      get.
      set.

   def public property Texture as Infragistics.UltraChart.Shared.Styles.TexturePresets
      get.
      set.

   def public property ImageFitStyle as Infragistics.UltraChart.Shared.Styles.ImageFitStyle
      get.
      set.

   def public property ElementType as Infragistics.UltraChart.Shared.Styles.PaintElementType
      get.
      set.

   def public property ImageWrapMode as System.Drawing.Drawing2D.WrapMode
      get.
      set.

   def public property Hatch as Infragistics.UltraChart.Shared.Styles.FillHatchStyle
      get.
      set.

   def public property Fill as System.Drawing.Color
      get.
      set.

   def public property CustomBrush as System.Drawing.Brush
      get.
      set.

   def public property FillStopColor as System.Drawing.Color
      get.
      set.

   def public property FillStopOpacity as integer
      get.
      set.

   def public property FillOpacity as integer
      get.
      set.

   def public property FillGradientStyle as Infragistics.UltraChart.Shared.Styles.GradientStyle
      get.
      set.

   def public property FillImage as System.Drawing.Image
      get.
      set.

   def public property ImagePath as character
      get.
      set.

   def public property Stroke as System.Drawing.Color
      get.
      set.

   def public property StrokeOpacity as integer
      get.
      set.

   def public property StrokeWidth as integer
      get.
      set.

   def public property Shadow as logical
      get.
      set.

   def public property StrokeAlignment as System.Drawing.Drawing2D.PenAlignment
      get.
      set.

   constructor public PaintElement():
   end constructor.

   constructor public PaintElement(input fillColor as System.Drawing.Color):
   end constructor.

   constructor public PaintElement(input fillColor as System.Drawing.Color, input fillStopColor as System.Drawing.Color):
   end constructor.

   constructor public PaintElement(input fillColor as System.Drawing.Color, input fillStopColor as System.Drawing.Color, input gradientStyle as Infragistics.UltraChart.Shared.Styles.GradientStyle):
   end constructor.

   constructor public PaintElement(input image as System.Drawing.Image):
   end constructor.

   constructor public PaintElement(input fill as System.Drawing.Color, input fillStopColor as System.Drawing.Color, input fillOpacity as integer, input fillStopOpacity as integer, input fillGradientStyle as Infragistics.UltraChart.Shared.Styles.GradientStyle, input elementType as Infragistics.UltraChart.Shared.Styles.PaintElementType):
   end constructor.

   method public final logical Match(input paintElementB as Infragistics.UltraChart.Resources.Appearance.PaintElement):
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeTextureApplication():
   end method.

   method public final void ResetTextureApplication():
   end method.

   method protected final logical ShouldSerializeTexture():
   end method.

   method public final void ResetTexture():
   end method.

   method protected final logical ShouldSerializeImageFitStyle():
   end method.

   method public final void ResetImageFitStyle():
   end method.

   method protected final logical ShouldSerializeElementType():
   end method.

   method public final void ResetElementType():
   end method.

   method protected final logical ShouldSerializeImageWrapMode():
   end method.

   method public final void ResetImageWrapMode():
   end method.

   method protected final logical ShouldSerializeHatch():
   end method.

   method public final void ResetHatch():
   end method.

   method protected final logical ShouldSerializeFill():
   end method.

   method public final void ResetFill():
   end method.

   method protected final logical ShouldSerializeCustomBrush():
   end method.

   method protected final logical ShouldSerializeFillStopColor():
   end method.

   method public final void ResetFillStopColor():
   end method.

   method protected final logical ShouldSerializeFillStopOpacity():
   end method.

   method public final void ResetFillStopOpacity():
   end method.

   method protected final logical ShouldSerializeFillOpacity():
   end method.

   method public final void ResetFillOpacity():
   end method.

   method protected final logical ShouldSerializeFillGradientStyle():
   end method.

   method public final void ResetFillGradientStyle():
   end method.

   method protected final logical ShouldSerializeFillImage():
   end method.

   method protected final logical ShouldSerializeImagePath():
   end method.

   method public final void ResetFillImage():
   end method.

   method protected final logical ShouldSerializeStroke():
   end method.

   method public final void ResetStroke():
   end method.

   method protected final logical ShouldSerializeStrokeOpacity():
   end method.

   method public final void ResetStrokeOpacity():
   end method.

   method protected final logical ShouldSerializeStrokeWidth():
   end method.

   method public final void ResetStrokeWidth():
   end method.

   method protected final logical ShouldSerializeShadow():
   end method.

   method public final void ResetShadow():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void ResetAll():
   end method.

   method public final static System.Drawing.Pen GetPen(input ele as Infragistics.UltraChart.Resources.Appearance.PaintElement):
   end method.

   method public final static System.Drawing.Brush GetBrush(input ele as Infragistics.UltraChart.Resources.Appearance.PaintElement, input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final static System.Drawing.Brush GetBrush(input ele as Infragistics.UltraChart.Resources.Appearance.PaintElement, input rect as System.Drawing.Rectangle):
   end method.

   method public final static System.Drawing.Brush GetHilightBrush(input ele as Infragistics.UltraChart.Resources.Appearance.PaintElement, input strokePath as System.Drawing.Drawing2D.GraphicsPath, input lightColor as System.Drawing.Color):
   end method.

   method public final System.Xml.XmlElement ToXml(input doc as System.Xml.XmlDocument):
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.PaintElement Clone():
   end method.

end class.
